# ``twisted`.`python`.`_release`.`Project``

class documentation

`class Project: (source)`

View In Hierarchy

A representation of a project that has a version.

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `getVersion` |
Instance Variable | `directory` | A `twisted.python.filepath.FilePath` pointing to the base directory of a Twisted-style Python package. The package should contain a `_version.py` file and a `newsfragments` directory that contains a `README` file.

def __init__(self, directory): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def getVersion(self): (source)

Returns
A `incremental.Version` specifying the version number of the project based on live python modules.

directory = (source)
A `twisted.python.filepath.FilePath` pointing to the base directory of a Twisted-style Python package. The package should contain a `_version.py` file and a `newsfragments` directory that contains a `README` file.